#===========================================================================
# allowed DPIs
#===========================================================================
dpis: [254, 190, 127, 72, 56]

#===========================================================================
# allowed Formats
#===========================================================================
formats: ['*']

#===========================================================================
# the allowed scales
#===========================================================================
scales:
  - 500
  - 750
  - 1000
  - 1250
  - 1500
  - 1750
  - 2000
  - 2250
  - 2500
  - 2750
  - 3000
  - 3250
  - 3500
  - 3750
  - 4000
  - 4250
  - 4500
  - 4750
  - 5000
  - 5500
  - 6000
  - 6500
  - 7000
  - 7500
  - 8000
  - 8500
  - 9000
  - 9500
  - 10000
  - 12500
  - 15000
  - 17500
  - 20000
  - 22500
  - 25000
  - 30000
  - 35000
  - 40000
  - 45000
  - 50000
  - 75000
  - 100000
  - 200000
  - 500000
  - 1000000
  - 2000000
  - 4000000

outputFilename: 'flys-${date}.pdf'

#===========================================================================
# the list of allowed hosts
#===========================================================================
hosts:
  - !localMatch
    dummy: true
  - !dnsMatch
    host: wsvmapserv.wsv.bund.de
    port: 80
  - !dnsMatch
    host: tile.openstreetmap.org
    port: 80
  - !dnsMatch
    host: www.pegelonline.wsv.de
    port: 80
  - !dnsMatch
    host: geo4.service24.rlp.de
    port: 80
  # Catch all
  #- !dnsMatch
  #  host: #regex that catches host plus path
  #  port: 80
  - !dnsMatch
    host: osm.intevation.de
    port: 80
  - !dnsMatch
    host: osm.wheregroup.com
    port: 80
  - !dnsMatch
    host: geoportal.bafg.de
    port: 80

# We need a font with unicode support the defaults only
# have latin1
fonts:
  - /usr/share/fonts/truetype/freefont/FreeSans.ttf

layouts:
  #===========================================================================
  A4 landscape:
  #===========================================================================
    metaData:
      title: '${mapTitle}'
      author: 'Flusshydrologische Software'
      subject: 'Kartendruck'
      keywords: 'map,print'
      creator: 'd4e-river'

    #-------------------------------------------------------------------------
    mainPage:
       # 842 * 595
      pageSize: A4
      landscape: true
      marginLeft: 20
      marginRight: 20
      marginTop: 20
      marginBottom: 20
      items:
        - !map
          absoluteX: 20
          align: left
          absoluteY: 575
          width: 592
          height: 555
          spacingAfter: 0
        #Flys and BFG Logo
        - !columns
          absoluteX: 750
          absoluteY: 110
          width: 60
          items:
            - !image
              maxWidth: 60
              maxHeight: 60
              url: '${configDir}/../images/FLYS_Logo.png'
        - !columns
          absoluteX: 630
          absoluteY: 110
          width: 90
          items:
            - !image
              maxWidth: 90
              maxHeight: 60
              url: '${configDir}/../images/bfg_logo.gif'
        # Legend header, a bit hackish with the border
        # but I don't know how to put two rows in a column and I don't want to
        # use tables
#        - !columns
#          absoluteX: 612
#          absoluteY: 575
#          width: 200
#          items:
#            - !text
#              text: "Legende:"
#              align: center
#          config:
#            borderWidthLeft: 1
#            borderWidthRight: 1
#            borderWidthTop: 1
#            borderWidthBottom: 0
        # Scalebar
        - !columns
          absoluteX: 620
          absoluteY: 35
          width: 200
          items:
            - !scalebar
              type: bar
              maxSize: 200
              barSize: 5
              barBgColor: white
              fontSize: 8

        # The legend
        - !columns
          absoluteX: 612
          absoluteY: 575
          width: 200
          items:
            - !legends
              maxHeight: 305
              maxWidth: 0
              maxIconHeight: 0
              inline: false
              classIndentation: 10
              layerSpace: 5
              classSpace: 2
              layerFontSize: 0
              classFontSize: 0
              fontEncoding: Identity-H
              classFont: FreeSans
              layerFont: FreeSans
              columnMargin: 2
              defaultScale: 0.7
          config:
            borderWidthLeft: 1
            borderWidthRight: 1
            borderWidthTop: 1
            borderWidthBottom: 1
        # The Stamp
        - !columns
          absoluteX: 612
          absoluteY: 270
          width: 200
          config:
            borderWidthLeft: 1
            borderWidthRight: 1
            borderWidthTop: 1
            borderWidthBottom: 1
          items:
            - !attributes
              source: data
              spacingAfter: 0
              columnDefs:
                info:
                  columnWeight: 7
                  header: !text
                    text: info
                    fontSize: 0
                  cell: !columns
                    config:
                      cells:
                        - borderWidth: 1
                          padding: 5
                    items:
                      - !text
                        text: '${info}'
                        fontSize: 10
                    backgroundColor: #FFFFFF
                value:
                  columnWeight: 15
                  header: !text
                    text: value
                    fontSize: 0
                  cell: !columns
                    config:
                      cells:
                        - borderWidth: 1
                          padding: 5
                    items:
                      - !text
                        text: '${value}'
                        fontEncoding: Identity-H
                        font: FreeSans
                        fontSize: 10
                    backgroundColor: #FFFFFF
        # The scale text
        - !columns
          absoluteX: 617
          absoluteY: 55
          width: 200
          items:
            - !text
              fontSize: 10
              text: 'Maßstab: 1:${scale}'
              fontEncoding: Identity-H
              font: FreeSans
          config:
            cells:
              - padding: 5
